Skip to main content
POST
/
api
/
Task
Create a Task
curl --request POST \
  --url https://api.virtuoussoftware.com/api/Task \
  --header 'Authorization: Bearer <token>'
{
  "id": 5,
  "taskType": "General",
  "task": "Remind me to call mom",
  "description": "Tell her the caserole was great!",
  "dueDateTime": "2022-02-10T15:00:00",
  "contactId": 10,
  "contact": "Mom",
  "contactUrl": "https://api.virtuoussoftware.com/api/Contact/10"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

default - application/json

OK

id
integer
taskType
string
task
string
description
string
dueDateTime
string<style>
contactId
integer
contact
string
contactUrl
string<uri>
Last modified on June 5, 2026